Subject: Need help!! sieve and command for external progs?

From: achim altmann <[email-masked]>
Date: Wed, 09 Oct 2002 05:41:41 +0200

Hello,
i would like use sieve with was cut off mails.
I have some questions about this

I have to forward special mail's they was bevor filterd on a other 
gateway but not the complete
mail, only the first 160 characters.

My sieve-script filtered at the moment special mail's in special
folder's

It is possible i could write a command in my sieve-scripts was called a 
other programm/tool was cut off this mails?

IT is possible please could you send me some informations about that 
commands?

Thank's a lot for all Informations

Best wishes

Achim

Date: Wed, 09 Oct 2002 05:41:41 +0200
From: achim altmann <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
Subject: Need help!! sieve and command for external progs?
Sender: [email-masked]

Hello,
i would like use sieve with was cut off mails.
I have some questions about this

I have to forward special mail's they was bevor filterd on a other 
gateway but not the complete
mail, only the first 160 characters.

My sieve-script filtered at the moment special mail's in special
folder's

It is possible i could write a command in my sieve-scripts was called a 
other programm/tool was cut off this mails?

IT is possible please could you send me some informations about that 
commands?

Thank's a lot for all Informations

Best wishes

Achim

Date: Fri, 04 Oct 2002 16:57:23 -0400
From: Ken Murchison <[email-masked]>
Organization: Oceana Matrix Ltd.
To: Marc Mutz <[email-masked]>
CC: [email-masked]
Subject: Re: managesieve's HAVESPACE changed from v03 to v04?
Sender: [email-masked]

Marc Mutz wrote:
> 
> Hi!
> 
> I'm currently working on a client implementation of the ManageSieve
> protocol for KMail. We have come across a problem with the HAVESPACE
> command. With timsieved 1.1.0 we always get:
> C: HAVESPACE "scriptname" 74
> S: NO "Expected number"
> 
> Now, we only have v03 of the I-D here; is there an incompatible change
> in v04 in this area? Does anyone rememember?

There was a bug in the parser in timsieved.  I have fixed it in CVS. 
You can apply the following patch to continue your development/testing.

http://bugzilla.andrew.cmu.edu/cgi-bin/cvsweb.cgi/src/cyrus/timsieved/lex.c.diff?r1=1.19&r2=1.20&sortby=date

Any further discussion about this problem should be taken off list.

Ken
-- 
Kenneth Murchison     Oceana Matrix Ltd.
Software Engineer     21 Princeton Place
716-662-8973 x26      Orchard Park, NY 14127
--PGP Public Key--    http://www.oceana.com/~ken/ksm.pgp

From: Marc Mutz <[email-masked]>
Organization: KDE
To: [email-masked]
Subject: managesieve's HAVESPACE changed from v03 to v04?
Date: Fri, 4 Oct 2002 19:56:31 +0200
Sender: [email-masked]

--Boundary-02=_QZdn9Lh1UfIcCmz
Content-Type: text/plain;
  charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Content-Description: signed data
Content-Disposition: inline

Hi!

I'm currently working on a client implementation of the ManageSieve=20
protocol for KMail. We have come across a problem with the HAVESPACE=20
command. With timsieved 1.1.0 we always get:
C: HAVESPACE "scriptname" 74
S: NO "Expected number"

Now, we only have v03 of the I-D here; is there an incompatible change=20
in v04 in this area? Does anyone rememember?

Marc

=2D-=20
Ein Grundrecht auf Sicherheit steht bewusst nicht in der Verfassung.
  -- Sabine Leutheusser-Schnarrenberger (ehem. Bundesjustizministerin)

--Boundary-02=_QZdn9Lh1UfIcCmz
Content-Type: application/pgp-signature
Content-Description: signature

--Boundary-02=_QZdn9Lh1UfIcCmz--

Date: Thu, 03 Oct 2002 15:25:44 +0200
From: achim altmann <[email-masked]>
To: [email-masked]
Subject: sieve and external programms?
Sender: [email-masked]

Hello,
i would like use sieve with external programms.

I have the follow problem ang question about this

I mave to forward special mail's to an sms-gateway but not the complete
mail, only the first 160 characters.
My sieve-script filtered at the moment special mail's in special
folder's

It is possible i could write a command in my sieve-scripts like the
follow:

	" send this mail to that external-programm what cut the first 160
characters from this mail an after send this mail to
[email-masked] and then a complete copy from this mail to
folder <xxxx..yyyyy.zzzz>"

Pleae when have some peoplos better id's please send me!

Thank's alot for every help

Best wishes

Achim